Create
cancel
Showing results for 
Search instead for 
Did you mean: 
Sign up Log in

What exit code is Bamboo expecting from a command to highlight text red in the log?

Deleted user July 20, 2014

I have a series of final tasks running in a job because I want them all to execute regardless of pass/fail result. One thing I would like to be able to do is easily differentiate failed results from a command task. What return status from the application is Bamboo expecting to flag the result this way in the log? I've seen it previously for failed results, but have yet to decipher the return status I need to provide to consistently do so.

4 answers

1 accepted

2 votes
Answer accepted
Deleted user July 20, 2014

The answer to this question is provided above. All output for which this behavior is desired must be directed to stderr. It will then be marked up in red and output in the error log upon task failure.

0 votes
Deleted user July 20, 2014

This is exactly what I ended up doing an reaffirm that redirecting to stderr is the answer. The application I initially asked the question about happened to a be a .NET application, so added System.Console.Error.WriteLine("<text>") for the messaging in the log that I wanted redirected to stderr. Worked perfectly. Thanks for your response.

0 votes
Wahid Atif July 20, 2014

When using bash script tasks, I always put:

set -o errexit

at the top.

And for "echoing" something to stderr, I have always been using echo "..." 1>&2 for that purpose.

Example: Checking that a variable value was overriden to enforce a custom build run:

#!/bin/sh
set -o errexit

ARTIFACT_VERSION=$1


if [ ! -z "$ARTIFACT_VERSION" -a "$ARTIFACT_VERSION" != " " ]; then

    echo "Provided artifact version: $ARTIFACT_VERSION"
    exit 0
    
else
    echo "Artifact version is missing" 1&gt;&amp;2
    echo "Run a customized Build and override the build variable 'webforms.blueprint.version'." 1&gt;&amp;2
    exit 1 

fi
exit 0

If a user started a build without setting a custom variable, so he will get:


I hope it will help you.

0 votes
Daniel Wester
Rising Star
Rising Star
Rising Stars are recognized for providing high-quality answers to other users. Rising Stars receive a certificate of achievement and are on the path to becoming Community Leaders.
July 20, 2014

The last exist status must be >0 in order for Bamboo to flag the task as failing.

Deleted user July 20, 2014

Daniel,

The task is returning failing successfully, but I'd like it to also flag the failure in the log component of the job in red. A return status of > 1 does not accomplish this. I may need to return an exception with the failure status to accomplish this result.

Deleted user July 20, 2014

I assume that error text must need to be redirected to stderr to flag it. I'm going to test this assumption and see if that is correct.

Suggest an answer

Log in or Sign up to answer
TAGS
AUG Leaders

Atlassian Community Events